<?php
/** @var $gmDB
 * @var  $gmCore
 * @var  $gmGallery
 * @var  $id
 * @var  $query
 * @var  $module
 * @var  $settings
 * @var  $term
 * @var  $is_bot
 * @var  $shortcode_raw
 **/

$settings    = array_merge( $settings, array(
	'module_dirurl' => $module['url'],
	'ajax_actions'  => array(
		'comments' => array(
			'action' => 'load_comments',
			'data'   => array( 'post_id' => 0 ),
		),
	),
) );
$allsettings = array_merge( $module['options'], $settings );

$base_url_host = parse_url( $gmCore->upload['url'], PHP_URL_HOST );
$term_url      = remove_query_arg( 'gm' . $id );

if ( ! empty( $query['album__in'] ) ) {
	$album__in = wp_parse_id_list( $query['album__in'] );
} else {
	$args       = array_merge( $query, array( 'fields' => 'ids' ) );
	$gmedia_ids = $gmDB->get_gmedias( $args );
	$album__in  = $gmDB->get_gmedia_terms( $gmedia_ids, 'gmedia_album', array( 'fields' => 'ids' ) );
}
if ( empty( $album__in ) ) {
	echo GMEDIA_GALLERY_EMPTY;

	return;
}

$thumb2link = (int) $allsettings['thumb2link'];

?>

	<div class="stripes_slider_wrapper fadeOnLoad">
		<div class="stripes_slider" style="display:none;">

			<a class="ss_prevSlide" href="javascript:void(0)"><h6><?php echo $allsettings['text_prev']; ?></h6></a>
			<a class="ss_downSlide" href="javascript:void(0)"></a>
			<a class="ss_nextSlide" href="javascript:void(0)"><h6><?php echo $allsettings['text_next']; ?></h6></a>
			<a class="ss_upSlide" href="javascript:void(0)"></a>
		</div>
		<div class="stripes_slider_content noLightbox">

			<?php
			$i = 0;
			foreach ( $album__in as $term_id ) {
				$term = $gmDB->get_term( $term_id );
				if ( 'draft' === $term->status || ( ! is_user_logged_in() && 'private' === $term->status ) ) {
					continue;
				}
				$album_meta       = $gmDB->get_metadata( 'gmedia_term', $term_id );
				$term_query_order = array(
					'orderby' => ! empty( $album_meta['_orderby'][0] ) ? $album_meta['_orderby'][0] : $gmGallery->options['in_album_orderby'],
					'order'   => ! empty( $album_meta['_order'][0] ) ? $album_meta['_order'][0] : $gmGallery->options['in_album_order'],
				);
				$args             = array_merge( $term_query_order, $query, array( 'album__in' => $term_id ) );
				$gmedias          = $gmDB->get_gmedias( $args );

				if ( ! ( $term_count = count( $gmedias ) ) ) {
					continue;
				}

				gmedia_term_item_more_data( $term );
				if ( ! empty( $term->meta['_cover'][0] ) ) {
					$_cover = intval( $term->meta['_cover'][0] );
					$_cover = $gmCore->gm_get_media_image( $_cover );
				} else {
					$_cover = $gmCore->gm_get_media_image( $gmedias[0] );
				}

				$i ++;
				?>
				<div class="stripes_slide block2preload" data-slide="<?php echo absint( $i ); ?>" data-term_id="<?php echo absint( $term->term_id ); ?>">
					<div class="stripes_slide_image ss_js_bg_img" data-src="<?php echo esc_attr( $_cover ); ?>">
						<div class="ss_fixed_content">
							<h3 class="ss_title"><?php echo $term->name; ?></h3>
							<div class="ss_descr_wrapper">
								<div class="ss_descr">
									<div class="ss_descr_inner"><?php echo str_replace( array( "\r\n", "\r", "\n" ), '', wpautop( $term->description ) ); ?></div>
								</div>
							</div>
							<h6 class="ss_count"><?php echo $term_count; ?></h6>
						</div><!-- .sas_fixed_content -->
						<a class="ss_trigger" href="javascript:void(0)"></a>
					</div>
				</div><!-- .album_slide -->
				<div class="ssc_slide" data-slide="<?php echo absint( $i ); ?>" data-term_id="<?php echo absint( $term->term_id ); ?>">
					<div class="ssc_inner">
						<div class="ss_ajax_content">
							<?php
							foreach ( $gmedias as $item ) {
								gmedia_item_more_data( $item );
								$image = $gmCore->gm_get_media_image( $item, 'all' );

								$gps       = str_replace( ' ', '', $item->gps );
								$attr_data = array(
									'id'      => $item->ID,
									'post_id' => $item->post_id,
									'ratio'   => $item->img_ratio,
									'mtype'   => $item->type,
									'ext'     => $item->ext,
									'gps'     => $gps,
									'views'   => empty( $item->meta['views'][0] ) ? 0 : (int) $item->meta['views'][0],
									'likes'   => empty( $item->meta['likes'][0] ) ? 0 : (int) $item->meta['likes'][0],
								);

								if ( ! empty( $allsettings['commentsEnabled'] ) ) {
									$cc = 0;
									if ( $item->post_id ) {
										$cc = wp_count_comments( $item->post_id );
										$cc = $cc->approved;
									}
									$attr_data['cc'] = $cc;
								}

								if ( ! empty( $allsettings['share_post_link'] ) ) {
									$attr_data['post_link'] = get_permalink( $item->post_id );
								}

								if ( ! empty( $allsettings['show_download_button'] ) ) {
									$attr_data['download'] = 'image' == $item->type ? $item->url_original : $item->url;
									$attr_data['filename'] = $item->gmuid;
								}

								$link_target = '';
								if ( $item->link ) {
									$url_host = parse_url( $item->link, PHP_URL_HOST );
									if ( $url_host == $base_url_host || empty( $url_host ) ) {
										$link_target = '_self';
									} else {
										$link_target = '_blank';
									}
									if ( isset( $meta['link_target'][0] ) ) {
										$link_target = $meta['link_target'][0];
									}

									$attr_data['link']   = $item->link;
									$attr_data['target'] = $link_target;
								}

								$attr_data_html = '';
								foreach ( $attr_data as $key => $val ) {
									$attr_data_html .= " data-{$key}='" . esc_attr( $val ) . "'";
								}
								$item->attr_data_html = $attr_data_html;

								ob_start();

								if ( ! empty( $allsettings['show_author'] ) ) {
									$author['name']       = get_the_author_meta( 'display_name', $item->author );
									$author['posts_link'] = get_author_posts_url( $item->author );
									$avatar_img           = get_avatar( $item->author, 30 );
									if ( preg_match( "/src=['\"](.*?)['\"]/i", $avatar_img, $matches ) ) {
										$author['avatar'] = $matches[1];
									}
									?>
									<div class="gmStripes_author_region gmStripes_section">
										<div class="gmStripes_author_info">
											<a class="gmStripes_avatar" href="<?php echo esc_url( $author['posts_link'] ); ?>"><img src="<?php echo esc_url( $author['avatar'] ); ?>"></a>
											<a class="gmStripes_actor" href="<?php echo esc_url( $author['posts_link'] ); ?>"><?php echo $author['name']; ?></a>
										</div>
									</div>
									<?php
								}

								echo '<div class="gmStripes_actions_region gmStripes_section"></div>';

								if ( (int) $allsettings['show_title'] ) {
									$title = $item->title;
									if ( $item->link ) {
										$title = "<a href='{$item->link}' target='{$link_target}'>" . ( $title ? $title : $item->gmuid ) . '</a>';
									}
								} else {
									$title = '';
								}
								if ( $title || $item->description ) {
									?>
									<div class="gmStripes_description_region">
										<div class="gmStripes_description">
											<div class="gmStripes_title"><?php echo $title; ?></div>
											<div class="gmStripes_text"><?php echo str_replace( array( "\r\n", "\r", "\n" ), '', wpautop( $item->description ) ); ?></div>
										</div>
									</div>
									<?php
								}

								$tags = array();
								if ( (int) $allsettings['show_tags'] && $item->tags ) {
									foreach ( $item->tags as $_term ) {
										$url    = add_query_arg( array( "gm{$id}" => array( 'tag__in' => $_term->term_id ) ), $term_url );
										$tags[] = '<a href="' . urldecode( $url ) . '" class="gmStripes_tag">#' . $_term->name . '</a>';
									}
								}

								$categories = array();
								if ( (int) $allsettings['show_categories'] && $item->categories ) {
									foreach ( $item->categories as $_term ) {
										$url          = add_query_arg( array( "gm{$id}" => array( 'category__in' => $_term->term_id ) ), $term_url );
										$categories[] = '<a href="' . urldecode( $url ) . '" class="gmStripes_cat">' . $_term->name . '</a>';
									}
								}

								$albums = array();
								if ( (int) $allsettings['show_albums'] && $item->album ) {
									foreach ( $item->album as $_term ) {
										$url      = add_query_arg( array( "gm{$id}" => array( 'album__in' => $_term->term_id ) ), $term_url );
										$albums[] = '<a href="' . urldecode( $url ) . '" class="gmStripes_alb">' . $_term->name . '</a>';
									}
								}

								if ( count( $tags ) ) {
									?>
									<div class="gmStripes_terms_region">
										<div class="gmStripes_terms_container"><?php echo implode( ' ', $tags ); ?></div>
									</div>
									<?php
								}
								?>
								<div class="gmStripes_details_region">
									<div class="gmStripes_item_details">
										<div class="gmStripes_badges">
											<div class="gmStripes_badges__column">
												<div class="gmStripes_badges__label"><?php echo $allsettings['views_text']; ?></div>
												<div class="gmStripes_badges__count mfp-views-count"><?php echo $attr_data['views']; ?></div>
											</div>
											<div class="gmStripes_badges__column">
												<div class="gmStripes_badges__label"><?php echo $allsettings['likes_text']; ?></div>
												<div class="gmStripes_badges__count mfp-likes-count"><?php echo $attr_data['likes']; ?></div>
											</div>
											<?php if ( ! empty( $allsettings['commentsEnabled'] ) ) { ?>
												<div class="gmStripes_badges__column">
													<div class="gmStripes_badges__label"><?php echo $allsettings['comments_text']; ?></div>
													<div class="gmStripes_badges__count mfp-comments-count"><?php echo $attr_data['cc']; ?></div>
												</div>
											<?php } ?>
											<div class="gmStripes_clearfix"></div>
										</div>
										<?php
										$exif = $gmCore->metadata_info( $item->ID );
										if ( 'image' === $item->type && ! empty( $exif ) ) {
											$details                    = array();
											$details['model']           = empty( $exif['model'] ) ? '' : $exif['model']['value'];
											$details['lens']            = empty( $exif['lens'] ) ? '' : $exif['lens']['value'];
											$details['camera_settings'] = array(
												'focallength' => empty( $exif['focallength'] ) ? ( empty( $exif['focallength35'] ) ? '' : $exif['focallength35']['value'] ) : $exif['focallength']['value'],
												'aperture'    => empty( $exif['aperture'] ) ? '' : str_replace( 'f', 'ƒ', $exif['aperture']['value'] ),
												'exposure'    => empty( $exif['exposure'] ) ? '' : $exif['exposure']['value'],
												'iso'         => empty( $exif['iso'] ) ? '' : 'ISO ' . $exif['iso']['value'],
											);
											$details['camera_settings'] = array_filter( $details['camera_settings'] );
											$is_details                 = array_filter( $details );
											if ( ! empty( $is_details ) ) {
												?>
												<div class="gmStripes_exif gmStripes_section">
													<div class="gmStripes_label"><?php echo $details['model']; ?></div>
													<div class="gmStripes_label small"><?php echo $details['lens']; ?></div>
													<div class="gmStripes_label small gmStripes_camera_settings"><?php echo implode( '<span class="gmStripes_sep">/</span>', $details['camera_settings'] ); ?></div>
												</div>
												<?php
											}
										}

										$details                                    = array();
										$details[ __( 'Album', 'grand-media' ) ]    = implode( ', ', $albums );
										$cat_key                                    = ( count( $categories ) > 1 ) ? __( 'Categories', 'grand-media' ) : __( 'Category', 'grand-media' );
										$details[ $cat_key ]                        = implode( ', ', $categories );
										$details[ __( 'Taken', 'grand-media' ) ]    = empty( $exif['created_timestamp'] ) ? '' : date_i18n( get_option( 'date_format' ), $exif['created_timestamp']['value'] );
										$details[ __( 'Uploaded', 'grand-media' ) ] = date_i18n( get_option( 'date_format' ), strtotime( $item->date ) );
										$details                                    = array_filter( $details );
										if ( count( $details ) ) {
											?>
											<div class="gmStripes_other_metadata gmStripes_section">
												<table class="gmStripes_other_metadata_table">
													<?php foreach ( $details as $key => $value ) { ?>
														<tr class="gmStripes_metarow_<?php echo sanitize_key( $key ); ?>">
															<td class="gmStripes_metadata_key"><?php echo ucwords( $key ); ?></td>
															<td class="gmStripes_metadata_value"><?php echo $value; ?></td>
														</tr>
													<?php } ?>
												</table>
											</div>
											<?php
										} ?>
									</div>
								</div>
								<?php
								if ( ! empty( $allsettings['show_location'] ) && $gps ) {
									?>
									<div class="gmStripes_location">
										<div class="gmStripes_mapbox"><?php echo "<a href='https://www.google.com/maps/place/{$gps}' target='_blank'>https://www.google.com/maps/place/{$gps}</a>"; ?></div>
									</div>
									<?php
								}

								$item->details_html = ob_get_contents();
								ob_end_clean();

								if ( ! in_array( $item->type, array( 'image' ) ) && in_array( $item->ext, array( 'mp3', 'mp4', 'pdf' ) ) ) {
									$item_class1 = ' ss_canplay';
									$item_class2 = ' mfp-iframe';
									$item_href   = $item->url;
								} else {
									$item_class1 = '';
									$item_class2 = '';
									$item_href   = $image['web'];
								}
								$item_icon = '';
								if ( $item->type !== 'image' && ! empty( $item->url_icon ) ) {
									$item_icon = "<span class=\"ss_item_icon\" style=\"background-image:url('{$item->url_icon}')\"></span>";
								}
								?>
								<div class="ss_ajax_item_wrapper">
									<div class="ss_ajax_item<?php echo $item_class1; ?>"<?php echo $item->attr_data_html; ?>>
										<a class="ss_lightbox<?php echo $item_class2; ?>" href="<?php echo esc_url( ( $thumb2link && $item->link ) ? $item->link : $item_href ); ?>" data-thumb="<?php echo esc_url( $image['thumb'] ); ?>" data-web="<?php echo esc_url( $image['web'] ); ?>" title="<?php echo esc_attr( $item->title ); ?>"><span><?php echo esc_attr( $item->alttext ); ?></span><?php echo $item_icon; ?>
										</a>
										<div class="ss_preloader"></div>
										<script type="text/html" class="gmStripes_thumbDetails"><?php echo $item->details_html; ?></script>
									</div>
								</div>
								<?php
							}
							?>
						</div>
					</div>
				</div>
				<?php
			}
			?>

		</div>
		<?php
		//if ( empty( $gmGallery->options['license_key'] ) ) {
		//	echo "<a class='gmlove bl{$id}' target='_blank' href='http://bit.ly/2snVAca'>" . __( 'Trial version - Get License', 'grand-media' ) . "</a>";
		//}
		?>
	</div>

<?php
/* Dynamic CSS */
$mfp_id  = "#mfp_gm_{$id}";
$mfp_css = '';
if ( isset( $settings['lightboxControlsColor'] ) ) {
	$mfp_css .= "
{$mfp_id} .mfp-arrow-right:after,
{$mfp_id} .mfp-arrow-right .mfp-a {border-left-color:#{$settings['lightboxControlsColor']};}
{$mfp_id} .mfp-arrow-left:after,
{$mfp_id} .mfp-arrow-left .mfp-a {border-right-color:#{$settings['lightboxControlsColor']};}
{$mfp_id} .mfp-close,
{$mfp_id} .mfp-comments,
{$mfp_id} .mfp-likes,
{$mfp_id} .mfp-details,
{$mfp_id} .mfp-share {color:#{$settings['lightboxControlsColor']};}
{$mfp_id} .mfp-preloader {background-color:#{$settings['lightboxControlsColor']};}";
}
if ( isset( $settings['lightboxTitleColor'] ) ) {
	$mfp_css .= "
{$mfp_id} .mfp-title,
{$mfp_id} .mfp-counter {color:#{$settings['lightboxTitleColor']};}";
}
if ( isset( $settings['lightboxTextColor'] ) ) {
	$mfp_css .= "
{$mfp_id} .mfp-description {color:#{$settings['lightboxTextColor']};}";
}
if ( isset( $settings['lightboxBGColor'] ) ) {
	$mfp_css .= "
{$mfp_id}_bg.mfp-bg {background-color:#{$settings['lightboxBGColor']};}";
}
if ( isset( $settings['lightboxBGAlpha'] ) ) {
	$alpha   = $settings['lightboxBGAlpha'] / 100;
	$mfp_css .= "
{$mfp_id}_bg.mfp-bg {opacity:{$alpha};}
{$mfp_id}_bg.mfp-zoom-in.mfp-bg {opacity:0}
{$mfp_id}_bg.mfp-zoom-in.mfp-ready.mfp-bg {opacity:{$alpha};}
{$mfp_id}_bg.mfp-zoom-in.mfp-removing.mfp-bg {opacity:0}";
}
if ( isset( $settings['sidebarBGColor'] ) ) {
	$mfp_css .= "
{$mfp_id} .mfp-comments-content {background-color:#{$allsettings['commentsBGColor']};}
{$mfp_id} .mfp-details-content {background-color:#{$allsettings['commentsBGColor']};}";
}
if ( $mfp_css ) {
	$settings['mfp_css'] = $mfp_css;
}

$cssid = "#GmediaGallery_{$id}";
$dcss  = '';
if ( isset( $settings['slider_bg'] ) ) {
	$dcss .= "
{$cssid} .stripes_slider_wrapper {background-color:#{$settings['slider_bg']};}
{$cssid} .stripes_slider {background-color:#{$settings['slider_bg']};}";
}
$dcss .= "
{$cssid} .ss_prevSlide h6,
{$cssid} .ss_nextSlide h6,
{$cssid} .stripes_slider_wrapper h3.ss_title,
{$cssid} .stripes_slider_wrapper h6.ss_count { color:#{$allsettings['title_color']} }
{$cssid} .ss_descr { color:#{$allsettings['text_color']} }
{$cssid} .ss_descr a { color:#{$allsettings['link_color']} }
{$cssid} .ss_descr a:hover { color:#{$allsettings['link_hover_color']} }";
if ( $dcss ) {
	$customCSS = $dcss . $customCSS;
}

if ( ! $is_bot ) {
	if ( $shortcode_raw ) {
		echo '<pre style="display:none">';
	}
	?>
	<script type="text/javascript">
			jQuery( function() {
				var settings = <?php echo json_encode( $settings ); ?>;
				jQuery( '#GmediaGallery_<?php echo esc_attr( $id ); ?>' ).stripesSlider( [settings] );
			} );
	</script><?php
	if ( $shortcode_raw ) {
		echo '</pre>';
	}
}
