<?php
$default_options = array(
	'base_gallery_width'    => '800',
	'base_gallery_height'   => '400',
	'gallery_min_height'    => '250',
	'text_prev'             => 'PREVIOUS ALBUM',
	'text_next'             => 'NEXT ALBUM',
	'show_one_album'        => '1',
	'slideshow_autoplay'    => '0',
	'slideshow_delay'       => '5000',
	'slider_bg'             => '1c1f22',
	'title_color'           => 'fefefe',
	'text_color'            => 'fefefe',
	'link_color'            => 'fefefe',
	'link_hover_color'      => 'fefefe',
	'lightboxControlsColor' => 'ffffff',
	'lightboxTitleColor'    => 'f3f3f3',
	'lightboxTextColor'     => 'f3f3f3',
	'lightboxBGColor'       => '0b0b0b',
	'lightboxBGAlpha'       => '80',
	'sidebarBGColor'        => 'ffffff',
	'socialShareEnabled'    => '1',
	'share_post_link'       => '1',
	'deepLinks'             => '1',
	'lightbox800HideArrows' => '0',
	'details_opened'        => '1',
	'views_text'            => 'Views',
	'likes_text'            => 'Likes',
	'comments_text'         => 'Comments',
	'commentsEnabled'       => '1',
	'thumb2link'            => '0',
	'show_author'           => '1',
	'show_title'            => '1',
	'show_tags'             => '1',
	'show_categories'       => '1',
	'show_albums'           => '1',
	'show_download_button'  => '1',
	'show_location'         => '1',
	'customCSS'             => '',
);
$options_tree    = array(
	array(
		'label'  => 'Common Settings',
		'fields' => array(
			'base_gallery_width'  => array(
				'label' => 'Base Width',
				'tag'   => 'input',
				'attr'  => 'type="number" min="1"',
				'text'  => 'Slider will autocalculate the ratio based on these values',
			),
			'base_gallery_height' => array(
				'label' => 'Base Height',
				'tag'   => 'input',
				'attr'  => 'type="number" min="1"',
				'text'  => 'Slider will autocalculate the ratio based on these values.<br>On GmediaCloud page gallery height will be 100% of window',
			),
			'gallery_min_height'  => array(
				'label' => 'Minimal Height',
				'tag'   => 'input',
				'attr'  => 'type="number" min="230"',
				'text'  => '',
			),
			'thumb2link'          => array(
				'label' => 'Thumbnail to Link',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => 'If item have Link, then open Link instead of lightbox. Note: Link also will be available via item Title on the thumbnail\'s label and in the lightbox',
			),
			'text_prev'           => array(
				'label' => 'Label for Previous Button',
				'tag'   => 'input',
				'attr'  => 'type="text"',
				'text'  => '',
			),
			'text_next'           => array(
				'label' => 'Label for Next Button',
				'tag'   => 'input',
				'attr'  => 'type="text"',
				'text'  => '',
			),
			'show_one_album'      => array(
				'label' => 'Show contents of one Album',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => 'If there is only one album in a gallery, then show it contents on load',
			),
			'slideshow_autoplay'  => array(
				'label' => 'Autoplay in Lightbox',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => 'Start slideshow automatically in lightbox',
			),
			'slideshow_delay'     => array(
				'label' => 'Slideshow Delay',
				'tag'   => 'input',
				'attr'  => 'type="number" min="1000"',
				'text'  => 'Delay between change slides in miliseconds',
			),
		),
	),
	array(
		'label'  => 'Colors',
		'fields' => array(
			'slider_bg'        => array(
				'label' => 'Background Color',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="color"',
				'text'  => '',
			),
			'title_color'      => array(
				'label' => 'Title Color',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="color"',
				'text'  => '',
			),
			'text_color'       => array(
				'label' => 'Text Color',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="color"',
				'text'  => '',
			),
			'link_color'       => array(
				'label' => 'Link Color',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="color"',
				'text'  => '',
			),
			'link_hover_color' => array(
				'label' => 'Link Hover Color',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="color"',
				'text'  => '',
			),
		),
	),
	array(
		'label'  => 'Lightbox Settings',
		'fields' => array(
			'lightboxControlsColor' => array(
				'label' => 'Lightbox Controls / Buttons Color',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="color"',
				'text'  => 'Set the color for lightbox control buttons',
			),
			'lightboxTitleColor'    => array(
				'label' => 'Lightbox Image Title Color',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="color"',
				'text'  => 'Set the text color for image title',
			),
			'lightboxTextColor'     => array(
				'label' => 'Lightbox Image Description Color',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="color"',
				'text'  => 'Set the text color for image caption',
			),
			'lightboxBGColor'       => array(
				'label' => 'Lightbox Window Color',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="color"',
				'text'  => 'Set the background color for the lightbox window',
			),
			'lightboxBGAlpha'       => array(
				'label' => 'Lightbox Window Alpha',
				'tag'   => 'input',
				'attr'  => 'type="number" min="0" max="100" step="5"',
				'text'  => 'Set the transparancy for the lightbox window',
			),
			'sidebarBGColor'        => array(
				'label' => 'Comments Block BG Color',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="color"',
				'text'  => 'Set the background color for the comments block',
			),
			'lightbox800HideArrows' => array(
				'label' => 'Hide Arrows when small window',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => 'Hide Arrows if window width less than 800px',
			),
			'deepLinks'             => array(
				'label' => 'Deep Links',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => 'Change URL hash in the address bar for each big image',
			),
			'details_opened'        => array(
				'label' => 'Show Details',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => 'Show lightbox sidebar with item details by default',
			),
			'views_text'            => array(
				'label' => 'Title for Views Counter',
				'tag'   => 'input',
				'attr'  => '',
				'text'  => '',
			),
			'likes_text'            => array(
				'label' => 'Title for Likes Counter',
				'tag'   => 'input',
				'attr'  => '',
				'text'  => '',
			),
			'comments_text'         => array(
				'label' => 'Title for Comments Counter',
				'tag'   => 'input',
				'attr'  => '',
				'text'  => '',
			),
			'commentsEnabled'       => array(
				'label' => 'Show Comments Button and Counter',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'socialShareEnabled'    => array(
				'label' => 'Show Share Button',
				'tag'   => 'checkbox',
				'attr'  => 'data-watch="change"',
				'text'  => '',
			),
			'share_post_link'       => array(
				'label' => 'Share link to Gmedia Post',
				'tag'   => 'checkbox',
				'attr'  => 'data-socialshareenabled="is:1"',
				'text'  => 'Share link to the individual Gmedia Post instead of to the image in gallery.',
			),
			'show_author'           => array(
				'label' => 'Show Author',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'show_title'            => array(
				'label' => 'Show Title in Lightbox',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'show_tags'             => array(
				'label' => 'Show Tags',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'show_categories'       => array(
				'label' => 'Show Categories',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'show_albums'           => array(
				'label' => 'Show Album',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'show_download_button'  => array(
				'label' => 'Show Download Button',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
			'show_location'         => array(
				'label' => 'Show Location on the Map',
				'tag'   => 'checkbox',
				'attr'  => '',
				'text'  => '',
			),
		),
	),
	array(
		'label'  => 'Advanced Settings',
		'fields' => array(
			'customCSS' => array(
				'label' => 'Custom CSS',
				'tag'   => 'textarea',
				'attr'  => 'cols="20" rows="10"',
				'text'  => 'You can enter custom style rules into this box if you\'d like. IE: <i>a{color: red !important;}</i><br />This is an advanced option! This is not recommended for users not fluent in CSS... but if you do know CSS, anything you add here will override the default styles',
			)
			/*,
			'loveLink' => array(
				'label' => 'Display LoveLink?',
				'tag' => 'checkbox',
				'attr' => '',
				'text' => 'Selecting "Yes" will show the lovelink icon (codeasily.com) somewhere on the gallery'
			)*/
		),
	),
);
